package com.chelvc.cloud.maintain.controller;

import java.util.List;

import com.chelvc.cloud.vehicle.client.HelpCategoryClient;
import com.chelvc.cloud.vehicle.client.HelpClient;
import com.chelvc.cloud.vehicle.client.dto.HelpCategoryDTO;
import com.chelvc.cloud.vehicle.client.dto.HelpDTO;
import com.chelvc.cloud.vehicle.client.param.HelpCategoryModifyParam;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * 客服中心接口
 *
 * @author liude
 * @date 2024/3/4
 */
@Validated
@RestController
@ResponseWrapping
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class HelpCategoryController {
    private final HelpCategoryClient helpCategoryClient;

    private final HelpClient helpClient;

    /**
     * 客服中心问题查询
     *
     * @param
     */
    @PostMapping("/problem/list")
    public List<HelpCategoryDTO> selectHelpCategoryList(@RequestBody @Valid  HelpCategoryModifyParam helpCategory) {
        return this.helpCategoryClient.selectHelpCategoryList(helpCategory);
    }

    /**
     * 查询帮助
     *
     * @param id 帮助主键
     * @return 帮助
     */
    @GetMapping("/help/selectHelpById")
    public HelpDTO selectHelpById(@RequestParam("id") Long id) {
        return this.helpClient.selectHelpById(id);
    }


}
