package com.chelvc.cloud.maintain.controller;

import com.chelvc.cloud.vehicle.client.UserAuthClient;
import com.chelvc.cloud.vehicle.client.dto.UserAuthDTO;
import com.chelvc.cloud.vehicle.client.param.UserAuthParam;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * 推广人员认证
 */
@Validated
@RestController
@ResponseWrapping
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class UserAuthController {
    private final UserAuthClient userAuthClient;

    /**
     * 获取认证信息
     * @param userId
     * @return
     */
    @GetMapping("/user/auth")
    UserAuthDTO getUserAuthInfo(@RequestParam("userId") Long userId){
        return this.userAuthClient.getUserAuthInfo(userId);
    }

    /**
     * 申请认证
     * @param param
     */
    @PutMapping(value = "/user/auth")
    void userAuth(@RequestBody UserAuthParam param){
        this.userAuthClient.userAuth(param);
    }
}
