package com.chelvc.cloud.maintain.vo;

import java.io.Serializable;
import java.util.List;

import com.chelvc.cloud.vehicle.client.dto.CategoryDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 分类信息
 *
 * @author Woody
 * @date 2023/7/17
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CategoryVO implements Serializable {
    /**
     * 分类ID
     */
    private Long id;

    /**
     * 分类图标
     */
    private String icon;

    /**
     * 分类名称
     */
    private String name;
    /**
     * 子集分类
     */
    private List<CategoryDTO> children;

    /**
     * 分类类型 分类类型 0-平台的分类 1-商家的分类
     */
    private String  type;
    /**
     * 商家ID
     */
    private Long merchantId;
}
